Bug 119673 - Default caption position cannot be changed for table captions if Add Caption Automatically is unchecked
Summary: Default caption position cannot be changed for table captions if Add Caption ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.1.1 rc
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Caption
  Show dependency treegraph
 
Reported: 2018-09-03 18:18 UTC by Daniel Grigoras
Modified: 2019-02-03 15:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Grigoras 2018-09-03 18:18:30 UTC
Description:
Previous versions of LibreOffice had the default caption position to "Below", not "Above". Now, "Above" is default.
Please program LibreOffice to default caption position to last used.

Steps to Reproduce:
-

Actual Results:
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Dieter 2018-09-03 19:04:22 UTC Comment hidden (obsolete)
Comment 2 Daniel Grigoras 2018-09-20 14:00:09 UTC
(In reply to Dieter Praas from comment #1)
> You can easily customize it with Tools => Options => LibreOffice Writer =>
> Auto Caption.
> 
> So I would say WONTFIX

I did that and it only worked for figure captions, not for table captions.
Comment 3 Dieter 2018-09-20 14:36:13 UTC
(In reply to Daniel Grigoras from comment #2)
> I did that and it only worked for figure captions, not for table captions.

That would be a bug, but I can't confirm it with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 62cd86977ca41677c56fb2d1f97bb1c5cbdbd416
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-09-20_02:34:32
Locale: en-US (de_DE); Calc: CL
Comment 4 Timur 2018-09-21 12:41:37 UTC Comment hidden (obsolete)
Comment 5 Dieter 2018-09-21 13:55:22 UTC Comment hidden (obsolete)
Comment 6 Timur 2018-09-21 16:33:34 UTC
(In reply to Daniel Grigoras from comment #0)
> Previous versions of LibreOffice had the default caption position to
> "Below", not "Above". Now, "Above" is default.
"Above" is default from Bug 40457 and Bug 115032.

> Please program LibreOffice to default caption position to last used.
This is WontFix.

> I did that and it only worked for figure captions, not for table captions.
Please explain what you did.
I see that: 
- if we turn on Tools => Options => LibreOffice Writer => Auto Caption - Add Caption Automatically for Writer Table and set to Below or change later to Above, than it works.
- but we cannot set to Below and turn off Add Caption Automatically and keep Below (I guess that's what you noticed).

Previously we could change default and turn off Add Caption Automatically and see it in options right but that still wouldn't work. At least with 6.0 beta. 
So we have more consistent UI now but we also have a bug.
Should be tested more thoroughly for regression and all options mentioned in Bug 33338 should be tested. 
But I'll confirm so far.
Comment 7 Timur 2018-09-21 16:36:44 UTC
(In reply to Dieter Praas from comment #5)
> (In reply to Timur from comment #4)
> > Didn't test this one but please see Bug 33338.
Perhaps bug 33338 is also resolved?
You could help by testing current state of all options, whether they: work, work for all insert procedures, can be saved as default, default saving depends on Add Caption Automatically etc.